﻿using System;
using System.Threading;
using iotxashttp2netsdk.iot.auth.common;
using iotxashttp2netsdk.iot.message;

namespace iothttp2serversidenetdemo
{
    class MainClass
    {
        public static void Main(string[] args)
        {
            //阿里云accessKey
            string accessKey = "*******";
            //阿里云accessSecret
            string accessSecret = "*******";
            //regionId
            string regionId = "cn-shanghai";
            //阿里云uid
            string uid = "*******";
            //domain
            string domain = ".aliyuncs.com";
            //endpoint
            string endpoint = "https://" + uid + ".iot-as-http2." + regionId + domain;

            //连接参数配置
            Profile profile = new Profile();
            profile.AccessKey = accessKey;
            profile.AccessSecret = accessSecret;
            profile.RegionId = regionId;
            profile.Domain = domain;
            profile.Url = endpoint;
            //清除堆积消息
            profile.CleanSession = false;
            profile.GetAccessKeyAuthParams();

            //构造客户端
            IMessageClient client = new MessageClient(profile);

            //连接HTTP2通道，并接收消息
            client.DoConnection(new DefaultHttp2MessageCallback());

            //do something()
            Thread.Sleep(100000);
        }
    }
}
